import { z } from 'zod';
export declare const BooleanAnswer: z.ZodObject<{
    type: z.ZodLiteral<"boolean">;
    answer: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    type: "boolean";
    answer: boolean;
}, {
    type: "boolean";
    answer: boolean;
}>;
export declare const CheckboxesAnswer: z.ZodObject<{
    type: z.ZodLiteral<"checkBoxes">;
    answer: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    type: "checkBoxes";
    answer: string[];
}, {
    type: "checkBoxes";
    answer: string[];
}>;
export declare const CurrencyAnswer: z.ZodObject<{
    type: z.ZodLiteral<"currency">;
    answer: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    type: "currency";
    answer: number;
}, {
    type: "currency";
    answer: number;
}>;
export declare const DatePickerAnswer: z.ZodObject<{
    answer: z.ZodString;
} & {
    type: z.ZodLiteral<"datePicker">;
}, "strip", z.ZodTypeAny, {
    type: "datePicker";
    answer: string;
}, {
    type: "datePicker";
    answer: string;
}>;
export declare const DateRangeAnswer: z.ZodObject<{} & {
    type: z.ZodLiteral<"dateRange">;
    answer: z.ZodObject<{
        start: z.ZodString;
        end: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        start: string;
        end: string;
    }, {
        start: string;
        end: string;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "dateRange";
    answer: {
        start: string;
        end: string;
    };
}, {
    type: "dateRange";
    answer: {
        start: string;
        end: string;
    };
}>;
export declare const EmailAnswer: z.ZodObject<{
    type: z.ZodLiteral<"email">;
    answer: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "email";
    answer: string;
}, {
    type: "email";
    answer: string;
}>;
export declare const FilteredSearchAnswer: z.ZodObject<{} & {
    type: z.ZodLiteral<"filteredSearch">;
    answer: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    type: "filteredSearch";
    answer: string[];
}, {
    type: "filteredSearch";
    answer: string[];
}>;
export declare const NumberAnswer: z.ZodObject<{
    type: z.ZodLiteral<"number">;
    answer: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    type: "number";
    answer: number;
}, {
    type: "number";
    answer: number;
}>;
export declare const RadioButtonsAnswer: z.ZodObject<{
    type: z.ZodLiteral<"radioButtons">;
    answer: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "radioButtons";
    answer: string;
}, {
    type: "radioButtons";
    answer: string;
}>;
export declare const SelectBoxAnswer: z.ZodObject<{
    type: z.ZodLiteral<"selectBox">;
    answer: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "selectBox";
    answer: string;
}, {
    type: "selectBox";
    answer: string;
}>;
export declare const TextAnswer: z.ZodObject<{
    type: z.ZodLiteral<"text">;
    answer: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "text";
    answer: string;
}, {
    type: "text";
    answer: string;
}>;
export declare const TextAreaAnswer: z.ZodObject<{
    type: z.ZodLiteral<"textArea">;
    answer: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "textArea";
    answer: string;
}, {
    type: "textArea";
    answer: string;
}>;
export declare const TypeaheadSearchAnswer: z.ZodObject<{
    type: z.ZodLiteral<"typeaheadSearch">;
    answer: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "typeaheadSearch";
    answer: string;
}, {
    type: "typeaheadSearch";
    answer: string;
}>;
export declare const URLAnswer: z.ZodObject<{
    type: z.ZodLiteral<"url">;
    answer: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "url";
    answer: string;
}, {
    type: "url";
    answer: string;
}>;
export declare const AnyAnswer: z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
    type: z.ZodLiteral<"boolean">;
    answer: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    type: "boolean";
    answer: boolean;
}, {
    type: "boolean";
    answer: boolean;
}>, z.ZodObject<{
    type: z.ZodLiteral<"checkBoxes">;
    answer: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    type: "checkBoxes";
    answer: string[];
}, {
    type: "checkBoxes";
    answer: string[];
}>, z.ZodObject<{
    type: z.ZodLiteral<"currency">;
    answer: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    type: "currency";
    answer: number;
}, {
    type: "currency";
    answer: number;
}>, z.ZodObject<{
    answer: z.ZodString;
} & {
    type: z.ZodLiteral<"datePicker">;
}, "strip", z.ZodTypeAny, {
    type: "datePicker";
    answer: string;
}, {
    type: "datePicker";
    answer: string;
}>, z.ZodObject<{} & {
    type: z.ZodLiteral<"dateRange">;
    answer: z.ZodObject<{
        start: z.ZodString;
        end: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        start: string;
        end: string;
    }, {
        start: string;
        end: string;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "dateRange";
    answer: {
        start: string;
        end: string;
    };
}, {
    type: "dateRange";
    answer: {
        start: string;
        end: string;
    };
}>, z.ZodObject<{
    type: z.ZodLiteral<"email">;
    answer: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "email";
    answer: string;
}, {
    type: "email";
    answer: string;
}>, z.ZodObject<{} & {
    type: z.ZodLiteral<"filteredSearch">;
    answer: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    type: "filteredSearch";
    answer: string[];
}, {
    type: "filteredSearch";
    answer: string[];
}>, z.ZodObject<{
    type: z.ZodLiteral<"number">;
    answer: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    type: "number";
    answer: number;
}, {
    type: "number";
    answer: number;
}>, z.ZodObject<{
    type: z.ZodLiteral<"radioButtons">;
    answer: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "radioButtons";
    answer: string;
}, {
    type: "radioButtons";
    answer: string;
}>, z.ZodObject<{
    type: z.ZodLiteral<"selectBox">;
    answer: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "selectBox";
    answer: string;
}, {
    type: "selectBox";
    answer: string;
}>, z.ZodObject<{
    type: z.ZodLiteral<"textArea">;
    answer: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "textArea";
    answer: string;
}, {
    type: "textArea";
    answer: string;
}>, z.ZodObject<{
    type: z.ZodLiteral<"text">;
    answer: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "text";
    answer: string;
}, {
    type: "text";
    answer: string;
}>, z.ZodObject<{
    type: z.ZodLiteral<"typeaheadSearch">;
    answer: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "typeaheadSearch";
    answer: string;
}, {
    type: "typeaheadSearch";
    answer: string;
}>, z.ZodObject<{
    type: z.ZodLiteral<"url">;
    answer: z.ZodString;
}, "strip", z.ZodTypeAny, {
    type: "url";
    answer: string;
}, {
    type: "url";
    answer: string;
}>]>;
export declare const TableAnswer: z.ZodObject<{
    type: z.ZodLiteral<"table">;
    answer: z.ZodArray<z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
        type: z.ZodLiteral<"boolean">;
        answer: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        type: "boolean";
        answer: boolean;
    }, {
        type: "boolean";
        answer: boolean;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"checkBoxes">;
        answer: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        type: "checkBoxes";
        answer: string[];
    }, {
        type: "checkBoxes";
        answer: string[];
    }>, z.ZodObject<{
        type: z.ZodLiteral<"currency">;
        answer: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        type: "currency";
        answer: number;
    }, {
        type: "currency";
        answer: number;
    }>, z.ZodObject<{
        answer: z.ZodString;
    } & {
        type: z.ZodLiteral<"datePicker">;
    }, "strip", z.ZodTypeAny, {
        type: "datePicker";
        answer: string;
    }, {
        type: "datePicker";
        answer: string;
    }>, z.ZodObject<{} & {
        type: z.ZodLiteral<"dateRange">;
        answer: z.ZodObject<{
            start: z.ZodString;
            end: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            start: string;
            end: string;
        }, {
            start: string;
            end: string;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "dateRange";
        answer: {
            start: string;
            end: string;
        };
    }, {
        type: "dateRange";
        answer: {
            start: string;
            end: string;
        };
    }>, z.ZodObject<{
        type: z.ZodLiteral<"email">;
        answer: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "email";
        answer: string;
    }, {
        type: "email";
        answer: string;
    }>, z.ZodObject<{} & {
        type: z.ZodLiteral<"filteredSearch">;
        answer: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        type: "filteredSearch";
        answer: string[];
    }, {
        type: "filteredSearch";
        answer: string[];
    }>, z.ZodObject<{
        type: z.ZodLiteral<"number">;
        answer: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        type: "number";
        answer: number;
    }, {
        type: "number";
        answer: number;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"radioButtons">;
        answer: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "radioButtons";
        answer: string;
    }, {
        type: "radioButtons";
        answer: string;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"selectBox">;
        answer: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "selectBox";
        answer: string;
    }, {
        type: "selectBox";
        answer: string;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"textArea">;
        answer: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "textArea";
        answer: string;
    }, {
        type: "textArea";
        answer: string;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"text">;
        answer: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "text";
        answer: string;
    }, {
        type: "text";
        answer: string;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"typeaheadSearch">;
        answer: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "typeaheadSearch";
        answer: string;
    }, {
        type: "typeaheadSearch";
        answer: string;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"url">;
        answer: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        type: "url";
        answer: string;
    }, {
        type: "url";
        answer: string;
    }>]>, "many">;
}, "strip", z.ZodTypeAny, {
    type: "table";
    answer: ({
        type: "boolean";
        answer: boolean;
    } | {
        type: "checkBoxes";
        answer: string[];
    } | {
        type: "currency";
        answer: number;
    } | {
        type: "datePicker";
        answer: string;
    } | {
        type: "dateRange";
        answer: {
            start: string;
            end: string;
        };
    } | {
        type: "email";
        answer: string;
    } | {
        type: "filteredSearch";
        answer: string[];
    } | {
        type: "number";
        answer: number;
    } | {
        type: "radioButtons";
        answer: string;
    } | {
        type: "selectBox";
        answer: string;
    } | {
        type: "text";
        answer: string;
    } | {
        type: "textArea";
        answer: string;
    } | {
        type: "typeaheadSearch";
        answer: string;
    } | {
        type: "url";
        answer: string;
    })[];
}, {
    type: "table";
    answer: ({
        type: "boolean";
        answer: boolean;
    } | {
        type: "checkBoxes";
        answer: string[];
    } | {
        type: "currency";
        answer: number;
    } | {
        type: "datePicker";
        answer: string;
    } | {
        type: "dateRange";
        answer: {
            start: string;
            end: string;
        };
    } | {
        type: "email";
        answer: string;
    } | {
        type: "filteredSearch";
        answer: string[];
    } | {
        type: "number";
        answer: number;
    } | {
        type: "radioButtons";
        answer: string;
    } | {
        type: "selectBox";
        answer: string;
    } | {
        type: "text";
        answer: string;
    } | {
        type: "textArea";
        answer: string;
    } | {
        type: "typeaheadSearch";
        answer: string;
    } | {
        type: "url";
        answer: string;
    })[];
}>;
export type AnyAnswerType = z.infer<typeof AnyAnswer>;
export type BooleanAnswerType = z.infer<typeof BooleanAnswer>;
export type CheckboxesAnswerType = z.infer<typeof CheckboxesAnswer>;
export type CurrencyAnswerType = z.infer<typeof CurrencyAnswer>;
export type DatePickerAnswerType = z.infer<typeof DatePickerAnswer>;
export type DateRangeAnswerType = z.infer<typeof DateRangeAnswer>;
export type EmailAnswerType = z.infer<typeof EmailAnswer>;
export type FilteredSearchAnswerType = z.infer<typeof FilteredSearchAnswer>;
export type NumberAnswerType = z.infer<typeof NumberAnswer>;
export type RadioButtonsAnswerType = z.infer<typeof RadioButtonsAnswer>;
export type SelectBoxAnswerType = z.infer<typeof SelectBoxAnswer>;
export type TableAnswerType = z.infer<typeof TableAnswer>;
export type TextAnswerType = z.infer<typeof TextAnswer>;
export type TextAreaAnswerType = z.infer<typeof TextAreaAnswer>;
export type TypeaheadSearchAnswerType = z.infer<typeof TypeaheadSearchAnswer>;
export type URLAnswerType = z.infer<typeof URLAnswer>;
