import { z } from "zod";
export declare const DatePickerQuestion: z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"datePicker">;
    attributes: z.ZodObject<{
        max: z.ZodOptional<z.ZodString>;
        min: z.ZodOptional<z.ZodString>;
        step: z.ZodOptional<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        max?: string | undefined;
        min?: string | undefined;
        step?: number | undefined;
    }, {
        max?: string | undefined;
        min?: string | undefined;
        step?: number | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "datePicker";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        max?: string | undefined;
        min?: string | undefined;
        step?: number | undefined;
    };
}, {
    type: "datePicker";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        max?: string | undefined;
        min?: string | undefined;
        step?: number | undefined;
    };
}>;
export declare const DateRangeQuestion: z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"dateRange">;
    columns: z.ZodObject<{
        start: z.ZodObject<{
            meta: z.ZodObject<{
                schemaVersion: z.ZodLiteral<"1.0">;
                labelTranslationKey: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            }, {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            }>;
            type: z.ZodLiteral<"datePicker">;
        } & {
            attributes: z.ZodObject<{
                label: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                label: string;
            }, {
                label: string;
            }>;
        }, "strip", z.ZodTypeAny, {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        }, {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        }>;
        end: z.ZodObject<{
            meta: z.ZodObject<{
                schemaVersion: z.ZodLiteral<"1.0">;
                labelTranslationKey: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            }, {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            }>;
            type: z.ZodLiteral<"datePicker">;
        } & {
            attributes: z.ZodObject<{
                label: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                label: string;
            }, {
                label: string;
            }>;
        }, "strip", z.ZodTypeAny, {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        }, {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        }>;
    }, "strip", z.ZodTypeAny, {
        start: {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        };
        end: {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        };
    }, {
        start: {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        };
        end: {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        };
    }>;
}, "strip", z.ZodTypeAny, {
    type: "dateRange";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    columns: {
        start: {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        };
        end: {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        };
    };
}, {
    type: "dateRange";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    columns: {
        start: {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        };
        end: {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        };
    };
}>;
export type DatePickerQuestionType = z.infer<typeof DatePickerQuestion>;
export type DateRangeQuestionType = z.infer<typeof DateRangeQuestion>;
