"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DateRangeQuestion = exports.DatePickerQuestion = void 0;
const zod_1 = require("zod");
const primitiveQuestions_1 = require("./primitiveQuestions");
// Date picker question and answer
exports.DatePickerQuestion = primitiveQuestions_1.Question.merge(zod_1.z.object({
    type: zod_1.z.literal('datePicker'), // The type of question
    attributes: zod_1.z.object({
        max: zod_1.z.string().optional(), // The maximum date (no default)
        min: zod_1.z.string().optional(), // The minimum date (no default)
        step: zod_1.z.number().optional() // The step value (default is 1 day)
    })
}));
// Date range question and answer
exports.DateRangeQuestion = primitiveQuestions_1.Question.merge(zod_1.z.object({
    type: zod_1.z.literal('dateRange'), // The type of question
    columns: zod_1.z.object({
        start: exports.DatePickerQuestion.merge(zod_1.z.object({
            attributes: zod_1.z.object({
                label: zod_1.z.string() // The label for the start date picker
            })
        })),
        end: exports.DatePickerQuestion.merge(zod_1.z.object({
            attributes: zod_1.z.object({
                label: zod_1.z.string() // The label for the end date picker
            })
        }))
    })
}));
