import { z } from "zod";
export declare const FilteredSearchQuestion: z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"filteredSearch">;
    graphQL: z.ZodObject<{
        displayFields: z.ZodArray<z.ZodObject<{
            propertyName: z.ZodString;
            label: z.ZodString;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }, {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }>, "many">;
        localQueryId: z.ZodOptional<z.ZodString>;
        query: z.ZodOptional<z.ZodString>;
        responseField: z.ZodString;
        variables: z.ZodArray<z.ZodObject<{
            minLength: z.ZodOptional<z.ZodNumber>;
            label: z.ZodOptional<z.ZodString>;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
            name: z.ZodString;
            type: z.ZodString;
            defaultValue: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }, {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        displayFields: {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }[];
        responseField: string;
        variables: {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }[];
        localQueryId?: string | undefined;
        query?: string | undefined;
    }, {
        displayFields: {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }[];
        responseField: string;
        variables: {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }[];
        localQueryId?: string | undefined;
        query?: string | undefined;
    }>;
    attributes: z.ZodObject<{
        multiple: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        multiple?: boolean | undefined;
    }, {
        multiple?: boolean | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "filteredSearch";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        multiple?: boolean | undefined;
    };
    graphQL: {
        displayFields: {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }[];
        responseField: string;
        variables: {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }[];
        localQueryId?: string | undefined;
        query?: string | undefined;
    };
}, {
    type: "filteredSearch";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        multiple?: boolean | undefined;
    };
    graphQL: {
        displayFields: {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }[];
        responseField: string;
        variables: {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }[];
        localQueryId?: string | undefined;
        query?: string | undefined;
    };
}>;
export declare const TypeaheadSearchQuestion: z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"typeaheadSearch">;
    graphQL: z.ZodObject<{
        displayFields: z.ZodArray<z.ZodObject<{
            propertyName: z.ZodString;
            label: z.ZodString;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }, {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }>, "many">;
        localQueryId: z.ZodOptional<z.ZodString>;
        query: z.ZodOptional<z.ZodString>;
        responseField: z.ZodString;
        variables: z.ZodArray<z.ZodObject<{
            minLength: z.ZodOptional<z.ZodNumber>;
            label: z.ZodOptional<z.ZodString>;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
            name: z.ZodString;
            type: z.ZodString;
            defaultValue: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }, {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        displayFields: {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }[];
        responseField: string;
        variables: {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }[];
        localQueryId?: string | undefined;
        query?: string | undefined;
    }, {
        displayFields: {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }[];
        responseField: string;
        variables: {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }[];
        localQueryId?: string | undefined;
        query?: string | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "typeaheadSearch";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    graphQL: {
        displayFields: {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }[];
        responseField: string;
        variables: {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }[];
        localQueryId?: string | undefined;
        query?: string | undefined;
    };
}, {
    type: "typeaheadSearch";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    graphQL: {
        displayFields: {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }[];
        responseField: string;
        variables: {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }[];
        localQueryId?: string | undefined;
        query?: string | undefined;
    };
}>;
export type FilteredSearchQuestionType = z.infer<typeof FilteredSearchQuestion>;
export type TypeaheadSearchQuestionType = z.infer<typeof TypeaheadSearchQuestion>;
