import { z } from "zod";
export declare const CheckboxesQuestion: z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"checkBoxes">;
    options: z.ZodArray<z.ZodObject<{
        type: z.ZodLiteral<"option">;
        attributes: z.ZodObject<{
            label: z.ZodString;
            value: z.ZodString;
        } & {
            checked: z.ZodOptional<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            value: string;
            label: string;
            checked?: boolean | undefined;
        }, {
            value: string;
            label: string;
            checked?: boolean | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "option";
        attributes: {
            value: string;
            label: string;
            checked?: boolean | undefined;
        };
    }, {
        type: "option";
        attributes: {
            value: string;
            label: string;
            checked?: boolean | undefined;
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    type: "checkBoxes";
    options: {
        type: "option";
        attributes: {
            value: string;
            label: string;
            checked?: boolean | undefined;
        };
    }[];
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
}, {
    type: "checkBoxes";
    options: {
        type: "option";
        attributes: {
            value: string;
            label: string;
            checked?: boolean | undefined;
        };
    }[];
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
}>;
export declare const RadioButtonsQuestion: z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"radioButtons">;
    options: z.ZodArray<z.ZodObject<{
        type: z.ZodLiteral<"option">;
        attributes: z.ZodObject<{
            label: z.ZodString;
            value: z.ZodString;
        } & {
            selected: z.ZodOptional<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            value: string;
            label: string;
            selected?: boolean | undefined;
        }, {
            value: string;
            label: string;
            selected?: boolean | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "option";
        attributes: {
            value: string;
            label: string;
            selected?: boolean | undefined;
        };
    }, {
        type: "option";
        attributes: {
            value: string;
            label: string;
            selected?: boolean | undefined;
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    type: "radioButtons";
    options: {
        type: "option";
        attributes: {
            value: string;
            label: string;
            selected?: boolean | undefined;
        };
    }[];
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
}, {
    type: "radioButtons";
    options: {
        type: "option";
        attributes: {
            value: string;
            label: string;
            selected?: boolean | undefined;
        };
    }[];
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
}>;
export declare const SelectBoxQuestion: z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"selectBox">;
    options: z.ZodArray<z.ZodObject<{
        type: z.ZodLiteral<"option">;
        attributes: z.ZodObject<{
            label: z.ZodString;
            value: z.ZodString;
        } & {
            selected: z.ZodOptional<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            value: string;
            label: string;
            selected?: boolean | undefined;
        }, {
            value: string;
            label: string;
            selected?: boolean | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "option";
        attributes: {
            value: string;
            label: string;
            selected?: boolean | undefined;
        };
    }, {
        type: "option";
        attributes: {
            value: string;
            label: string;
            selected?: boolean | undefined;
        };
    }>, "many">;
    attributes: z.ZodObject<{
        multiple: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        multiple?: boolean | undefined;
    }, {
        multiple?: boolean | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "selectBox";
    options: {
        type: "option";
        attributes: {
            value: string;
            label: string;
            selected?: boolean | undefined;
        };
    }[];
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        multiple?: boolean | undefined;
    };
}, {
    type: "selectBox";
    options: {
        type: "option";
        attributes: {
            value: string;
            label: string;
            selected?: boolean | undefined;
        };
    }[];
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        multiple?: boolean | undefined;
    };
}>;
export type CheckboxesQuestionType = z.infer<typeof CheckboxesQuestion>;
export type RadioButtonsQuestionType = z.infer<typeof RadioButtonsQuestion>;
export type SelectBoxQuestionType = z.infer<typeof SelectBoxQuestion>;
