import { z } from "zod";
export declare const CURRENT_SCHEMA_VERSION = "1.0";
export declare const QuestionTypesEnum: z.ZodEnum<["boolean", "checkBoxes", "currency", "datePicker", "dateRange", "email", "filteredSearch", "number", "option", "radioButtons", "selectBox", "table", "text", "textArea", "typeaheadSearch", "url"]>;
export declare const Question: z.ZodObject<{
    type: z.ZodEnum<["boolean", "checkBoxes", "currency", "datePicker", "dateRange", "email", "filteredSearch", "number", "option", "radioButtons", "selectBox", "table", "text", "textArea", "typeaheadSearch", "url"]>;
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "number" | "boolean" | "checkBoxes" | "currency" | "datePicker" | "dateRange" | "email" | "filteredSearch" | "option" | "radioButtons" | "selectBox" | "table" | "text" | "textArea" | "typeaheadSearch" | "url";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
}, {
    type: "number" | "boolean" | "checkBoxes" | "currency" | "datePicker" | "dateRange" | "email" | "filteredSearch" | "option" | "radioButtons" | "selectBox" | "table" | "text" | "textArea" | "typeaheadSearch" | "url";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
}>;
export declare const BooleanQuestion: z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"boolean">;
    attributes: z.ZodObject<{
        checked: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        checked?: boolean | undefined;
    }, {
        checked?: boolean | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "boolean";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        checked?: boolean | undefined;
    };
}, {
    type: "boolean";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        checked?: boolean | undefined;
    };
}>;
export declare const NumberQuestion: z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"number">;
    attributes: z.ZodObject<{
        max: z.ZodOptional<z.ZodNumber>;
        min: z.ZodOptional<z.ZodNumber>;
        step: z.ZodOptional<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        max?: number | undefined;
        min?: number | undefined;
        step?: number | undefined;
    }, {
        max?: number | undefined;
        min?: number | undefined;
        step?: number | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "number";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        max?: number | undefined;
        min?: number | undefined;
        step?: number | undefined;
    };
}, {
    type: "number";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        max?: number | undefined;
        min?: number | undefined;
        step?: number | undefined;
    };
}>;
export declare const CurrencyQuestion: z.ZodObject<{
    attributes: z.ZodObject<{
        max: z.ZodOptional<z.ZodNumber>;
        min: z.ZodOptional<z.ZodNumber>;
        step: z.ZodOptional<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        max?: number | undefined;
        min?: number | undefined;
        step?: number | undefined;
    }, {
        max?: number | undefined;
        min?: number | undefined;
        step?: number | undefined;
    }>;
} & {
    type: z.ZodLiteral<"currency">;
    meta: z.ZodObject<{
        denomination: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        denomination?: string | undefined;
    }, {
        denomination?: string | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "currency";
    meta: {
        denomination?: string | undefined;
    };
    attributes: {
        max?: number | undefined;
        min?: number | undefined;
        step?: number | undefined;
    };
}, {
    type: "currency";
    meta: {
        denomination?: string | undefined;
    };
    attributes: {
        max?: number | undefined;
        min?: number | undefined;
        step?: number | undefined;
    };
}>;
export declare const EmailQuestion: z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"email">;
    attributes: z.ZodObject<{
        maxLength: z.ZodOptional<z.ZodNumber>;
        minLength: z.ZodOptional<z.ZodNumber>;
        multiple: z.ZodOptional<z.ZodBoolean>;
        pattern: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        multiple?: boolean | undefined;
        pattern?: string | undefined;
    }, {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        multiple?: boolean | undefined;
        pattern?: string | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "email";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        multiple?: boolean | undefined;
        pattern?: string | undefined;
    };
}, {
    type: "email";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        multiple?: boolean | undefined;
        pattern?: string | undefined;
    };
}>;
export declare const TextAreaQuestion: z.ZodObject<{} & {
    type: z.ZodLiteral<"textArea">;
    attributes: z.ZodObject<{
        cols: z.ZodOptional<z.ZodNumber>;
        maxLength: z.ZodOptional<z.ZodNumber>;
        minLength: z.ZodOptional<z.ZodNumber>;
        rows: z.ZodOptional<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        cols?: number | undefined;
        rows?: number | undefined;
    }, {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        cols?: number | undefined;
        rows?: number | undefined;
    }>;
    meta: z.ZodObject<{
        asRichText: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        asRichText?: boolean | undefined;
    }, {
        asRichText?: boolean | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "textArea";
    meta: {
        asRichText?: boolean | undefined;
    };
    attributes: {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        cols?: number | undefined;
        rows?: number | undefined;
    };
}, {
    type: "textArea";
    meta: {
        asRichText?: boolean | undefined;
    };
    attributes: {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        cols?: number | undefined;
        rows?: number | undefined;
    };
}>;
export declare const TextQuestion: z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"text">;
    attributes: z.ZodObject<{
        maxLength: z.ZodOptional<z.ZodNumber>;
        minLength: z.ZodOptional<z.ZodNumber>;
        pattern: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        pattern?: string | undefined;
    }, {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        pattern?: string | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "text";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        pattern?: string | undefined;
    };
}, {
    type: "text";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        pattern?: string | undefined;
    };
}>;
export declare const URLQuestion: z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"url">;
    attributes: z.ZodObject<{
        maxLength: z.ZodOptional<z.ZodNumber>;
        minLength: z.ZodOptional<z.ZodNumber>;
        pattern: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        pattern?: string | undefined;
    }, {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        pattern?: string | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "url";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        pattern?: string | undefined;
    };
}, {
    type: "url";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        pattern?: string | undefined;
    };
}>;
export type BooleanQuestionType = z.infer<typeof BooleanQuestion>;
export type CurrencyQuestionType = z.infer<typeof CurrencyQuestion>;
export type EmailQuestionType = z.infer<typeof EmailQuestion>;
export type NumberQuestionType = z.infer<typeof NumberQuestion>;
export type TextAreaQuestionType = z.infer<typeof TextAreaQuestion>;
export type TextQuestionType = z.infer<typeof TextQuestion>;
export type URLQuestionType = z.infer<typeof URLQuestion>;
