import { z } from "zod";
export declare const TableQuestion: z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"table">;
    columns: z.ZodArray<z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"boolean">;
        attributes: z.ZodObject<{
            checked: z.ZodOptional<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            checked?: boolean | undefined;
        }, {
            checked?: boolean | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "boolean";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            checked?: boolean | undefined;
        };
    }, {
        type: "boolean";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            checked?: boolean | undefined;
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"checkBoxes">;
        options: z.ZodArray<z.ZodObject<{
            type: z.ZodLiteral<"option">;
            attributes: z.ZodObject<{
                label: z.ZodString;
                value: z.ZodString;
            } & {
                checked: z.ZodOptional<z.ZodBoolean>;
            }, "strip", z.ZodTypeAny, {
                value: string;
                label: string;
                checked?: boolean | undefined;
            }, {
                value: string;
                label: string;
                checked?: boolean | undefined;
            }>;
        }, "strip", z.ZodTypeAny, {
            type: "option";
            attributes: {
                value: string;
                label: string;
                checked?: boolean | undefined;
            };
        }, {
            type: "option";
            attributes: {
                value: string;
                label: string;
                checked?: boolean | undefined;
            };
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        type: "checkBoxes";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                checked?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
    }, {
        type: "checkBoxes";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                checked?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
    }>, z.ZodObject<{
        attributes: z.ZodObject<{
            max: z.ZodOptional<z.ZodNumber>;
            min: z.ZodOptional<z.ZodNumber>;
            step: z.ZodOptional<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        }, {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"currency">;
        meta: z.ZodObject<{
            denomination: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            denomination?: string | undefined;
        }, {
            denomination?: string | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "currency";
        meta: {
            denomination?: string | undefined;
        };
        attributes: {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        };
    }, {
        type: "currency";
        meta: {
            denomination?: string | undefined;
        };
        attributes: {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"datePicker">;
        attributes: z.ZodObject<{
            max: z.ZodOptional<z.ZodString>;
            min: z.ZodOptional<z.ZodString>;
            step: z.ZodOptional<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            max?: string | undefined;
            min?: string | undefined;
            step?: number | undefined;
        }, {
            max?: string | undefined;
            min?: string | undefined;
            step?: number | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "datePicker";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            max?: string | undefined;
            min?: string | undefined;
            step?: number | undefined;
        };
    }, {
        type: "datePicker";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            max?: string | undefined;
            min?: string | undefined;
            step?: number | undefined;
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"dateRange">;
        columns: z.ZodObject<{
            start: z.ZodObject<{
                meta: z.ZodObject<{
                    schemaVersion: z.ZodLiteral<"1.0">;
                    labelTranslationKey: z.ZodOptional<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                }, {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                }>;
                type: z.ZodLiteral<"datePicker">;
            } & {
                attributes: z.ZodObject<{
                    label: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    label: string;
                }, {
                    label: string;
                }>;
            }, "strip", z.ZodTypeAny, {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            }, {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            }>;
            end: z.ZodObject<{
                meta: z.ZodObject<{
                    schemaVersion: z.ZodLiteral<"1.0">;
                    labelTranslationKey: z.ZodOptional<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                }, {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                }>;
                type: z.ZodLiteral<"datePicker">;
            } & {
                attributes: z.ZodObject<{
                    label: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    label: string;
                }, {
                    label: string;
                }>;
            }, "strip", z.ZodTypeAny, {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            }, {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            }>;
        }, "strip", z.ZodTypeAny, {
            start: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
            end: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
        }, {
            start: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
            end: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "dateRange";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        columns: {
            start: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
            end: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
        };
    }, {
        type: "dateRange";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        columns: {
            start: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
            end: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"email">;
        attributes: z.ZodObject<{
            maxLength: z.ZodOptional<z.ZodNumber>;
            minLength: z.ZodOptional<z.ZodNumber>;
            multiple: z.ZodOptional<z.ZodBoolean>;
            pattern: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            multiple?: boolean | undefined;
            pattern?: string | undefined;
        }, {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            multiple?: boolean | undefined;
            pattern?: string | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "email";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            multiple?: boolean | undefined;
            pattern?: string | undefined;
        };
    }, {
        type: "email";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            multiple?: boolean | undefined;
            pattern?: string | undefined;
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"filteredSearch">;
        graphQL: z.ZodObject<{
            displayFields: z.ZodArray<z.ZodObject<{
                propertyName: z.ZodString;
                label: z.ZodString;
                labelTranslationKey: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }, {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }>, "many">;
            localQueryId: z.ZodOptional<z.ZodString>;
            query: z.ZodOptional<z.ZodString>;
            responseField: z.ZodString;
            variables: z.ZodArray<z.ZodObject<{
                minLength: z.ZodOptional<z.ZodNumber>;
                label: z.ZodOptional<z.ZodString>;
                labelTranslationKey: z.ZodOptional<z.ZodString>;
                name: z.ZodString;
                type: z.ZodString;
                defaultValue: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }, {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        }, {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        }>;
        attributes: z.ZodObject<{
            multiple: z.ZodOptional<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            multiple?: boolean | undefined;
        }, {
            multiple?: boolean | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "filteredSearch";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            multiple?: boolean | undefined;
        };
        graphQL: {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        };
    }, {
        type: "filteredSearch";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            multiple?: boolean | undefined;
        };
        graphQL: {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"number">;
        attributes: z.ZodObject<{
            max: z.ZodOptional<z.ZodNumber>;
            min: z.ZodOptional<z.ZodNumber>;
            step: z.ZodOptional<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        }, {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "number";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        };
    }, {
        type: "number";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"radioButtons">;
        options: z.ZodArray<z.ZodObject<{
            type: z.ZodLiteral<"option">;
            attributes: z.ZodObject<{
                label: z.ZodString;
                value: z.ZodString;
            } & {
                selected: z.ZodOptional<z.ZodBoolean>;
            }, "strip", z.ZodTypeAny, {
                value: string;
                label: string;
                selected?: boolean | undefined;
            }, {
                value: string;
                label: string;
                selected?: boolean | undefined;
            }>;
        }, "strip", z.ZodTypeAny, {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }, {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        type: "radioButtons";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
    }, {
        type: "radioButtons";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"selectBox">;
        options: z.ZodArray<z.ZodObject<{
            type: z.ZodLiteral<"option">;
            attributes: z.ZodObject<{
                label: z.ZodString;
                value: z.ZodString;
            } & {
                selected: z.ZodOptional<z.ZodBoolean>;
            }, "strip", z.ZodTypeAny, {
                value: string;
                label: string;
                selected?: boolean | undefined;
            }, {
                value: string;
                label: string;
                selected?: boolean | undefined;
            }>;
        }, "strip", z.ZodTypeAny, {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }, {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }>, "many">;
        attributes: z.ZodObject<{
            multiple: z.ZodOptional<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            multiple?: boolean | undefined;
        }, {
            multiple?: boolean | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "selectBox";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            multiple?: boolean | undefined;
        };
    }, {
        type: "selectBox";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            multiple?: boolean | undefined;
        };
    }>, z.ZodObject<{} & {
        type: z.ZodLiteral<"textArea">;
        attributes: z.ZodObject<{
            cols: z.ZodOptional<z.ZodNumber>;
            maxLength: z.ZodOptional<z.ZodNumber>;
            minLength: z.ZodOptional<z.ZodNumber>;
            rows: z.ZodOptional<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            cols?: number | undefined;
            rows?: number | undefined;
        }, {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            cols?: number | undefined;
            rows?: number | undefined;
        }>;
        meta: z.ZodObject<{
            asRichText: z.ZodOptional<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            asRichText?: boolean | undefined;
        }, {
            asRichText?: boolean | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "textArea";
        meta: {
            asRichText?: boolean | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            cols?: number | undefined;
            rows?: number | undefined;
        };
    }, {
        type: "textArea";
        meta: {
            asRichText?: boolean | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            cols?: number | undefined;
            rows?: number | undefined;
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"text">;
        attributes: z.ZodObject<{
            maxLength: z.ZodOptional<z.ZodNumber>;
            minLength: z.ZodOptional<z.ZodNumber>;
            pattern: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        }, {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "text";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        };
    }, {
        type: "text";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"typeaheadSearch">;
        graphQL: z.ZodObject<{
            displayFields: z.ZodArray<z.ZodObject<{
                propertyName: z.ZodString;
                label: z.ZodString;
                labelTranslationKey: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }, {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }>, "many">;
            localQueryId: z.ZodOptional<z.ZodString>;
            query: z.ZodOptional<z.ZodString>;
            responseField: z.ZodString;
            variables: z.ZodArray<z.ZodObject<{
                minLength: z.ZodOptional<z.ZodNumber>;
                label: z.ZodOptional<z.ZodString>;
                labelTranslationKey: z.ZodOptional<z.ZodString>;
                name: z.ZodString;
                type: z.ZodString;
                defaultValue: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }, {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        }, {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "typeaheadSearch";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        graphQL: {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        };
    }, {
        type: "typeaheadSearch";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        graphQL: {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"url">;
        attributes: z.ZodObject<{
            maxLength: z.ZodOptional<z.ZodNumber>;
            minLength: z.ZodOptional<z.ZodNumber>;
            pattern: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        }, {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "url";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        };
    }, {
        type: "url";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        };
    }>]>, "many">;
    attributes: z.ZodObject<{
        canAddRows: z.ZodOptional<z.ZodBoolean>;
        canRemoveRows: z.ZodOptional<z.ZodBoolean>;
        initialRows: z.ZodOptional<z.ZodNumber>;
        maxRows: z.ZodOptional<z.ZodNumber>;
        minRows: z.ZodOptional<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        canAddRows?: boolean | undefined;
        canRemoveRows?: boolean | undefined;
        initialRows?: number | undefined;
        maxRows?: number | undefined;
        minRows?: number | undefined;
    }, {
        canAddRows?: boolean | undefined;
        canRemoveRows?: boolean | undefined;
        initialRows?: number | undefined;
        maxRows?: number | undefined;
        minRows?: number | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "table";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        canAddRows?: boolean | undefined;
        canRemoveRows?: boolean | undefined;
        initialRows?: number | undefined;
        maxRows?: number | undefined;
        minRows?: number | undefined;
    };
    columns: ({
        type: "boolean";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            checked?: boolean | undefined;
        };
    } | {
        type: "number";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        };
    } | {
        type: "currency";
        meta: {
            denomination?: string | undefined;
        };
        attributes: {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        };
    } | {
        type: "email";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            multiple?: boolean | undefined;
            pattern?: string | undefined;
        };
    } | {
        type: "textArea";
        meta: {
            asRichText?: boolean | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            cols?: number | undefined;
            rows?: number | undefined;
        };
    } | {
        type: "text";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        };
    } | {
        type: "url";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        };
    } | {
        type: "datePicker";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            max?: string | undefined;
            min?: string | undefined;
            step?: number | undefined;
        };
    } | {
        type: "dateRange";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        columns: {
            start: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
            end: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
        };
    } | {
        type: "filteredSearch";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            multiple?: boolean | undefined;
        };
        graphQL: {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        };
    } | {
        type: "typeaheadSearch";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        graphQL: {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        };
    } | {
        type: "checkBoxes";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                checked?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
    } | {
        type: "radioButtons";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
    } | {
        type: "selectBox";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            multiple?: boolean | undefined;
        };
    })[];
}, {
    type: "table";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        canAddRows?: boolean | undefined;
        canRemoveRows?: boolean | undefined;
        initialRows?: number | undefined;
        maxRows?: number | undefined;
        minRows?: number | undefined;
    };
    columns: ({
        type: "boolean";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            checked?: boolean | undefined;
        };
    } | {
        type: "number";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        };
    } | {
        type: "currency";
        meta: {
            denomination?: string | undefined;
        };
        attributes: {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        };
    } | {
        type: "email";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            multiple?: boolean | undefined;
            pattern?: string | undefined;
        };
    } | {
        type: "textArea";
        meta: {
            asRichText?: boolean | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            cols?: number | undefined;
            rows?: number | undefined;
        };
    } | {
        type: "text";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        };
    } | {
        type: "url";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        };
    } | {
        type: "datePicker";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            max?: string | undefined;
            min?: string | undefined;
            step?: number | undefined;
        };
    } | {
        type: "dateRange";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        columns: {
            start: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
            end: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
        };
    } | {
        type: "filteredSearch";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            multiple?: boolean | undefined;
        };
        graphQL: {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        };
    } | {
        type: "typeaheadSearch";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        graphQL: {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        };
    } | {
        type: "checkBoxes";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                checked?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
    } | {
        type: "radioButtons";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
    } | {
        type: "selectBox";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            multiple?: boolean | undefined;
        };
    })[];
}>;
export declare const AnyQuestion: z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"boolean">;
    attributes: z.ZodObject<{
        checked: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        checked?: boolean | undefined;
    }, {
        checked?: boolean | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "boolean";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        checked?: boolean | undefined;
    };
}, {
    type: "boolean";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        checked?: boolean | undefined;
    };
}>, z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"checkBoxes">;
    options: z.ZodArray<z.ZodObject<{
        type: z.ZodLiteral<"option">;
        attributes: z.ZodObject<{
            label: z.ZodString;
            value: z.ZodString;
        } & {
            checked: z.ZodOptional<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            value: string;
            label: string;
            checked?: boolean | undefined;
        }, {
            value: string;
            label: string;
            checked?: boolean | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "option";
        attributes: {
            value: string;
            label: string;
            checked?: boolean | undefined;
        };
    }, {
        type: "option";
        attributes: {
            value: string;
            label: string;
            checked?: boolean | undefined;
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    type: "checkBoxes";
    options: {
        type: "option";
        attributes: {
            value: string;
            label: string;
            checked?: boolean | undefined;
        };
    }[];
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
}, {
    type: "checkBoxes";
    options: {
        type: "option";
        attributes: {
            value: string;
            label: string;
            checked?: boolean | undefined;
        };
    }[];
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
}>, z.ZodObject<{
    attributes: z.ZodObject<{
        max: z.ZodOptional<z.ZodNumber>;
        min: z.ZodOptional<z.ZodNumber>;
        step: z.ZodOptional<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        max?: number | undefined;
        min?: number | undefined;
        step?: number | undefined;
    }, {
        max?: number | undefined;
        min?: number | undefined;
        step?: number | undefined;
    }>;
} & {
    type: z.ZodLiteral<"currency">;
    meta: z.ZodObject<{
        denomination: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        denomination?: string | undefined;
    }, {
        denomination?: string | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "currency";
    meta: {
        denomination?: string | undefined;
    };
    attributes: {
        max?: number | undefined;
        min?: number | undefined;
        step?: number | undefined;
    };
}, {
    type: "currency";
    meta: {
        denomination?: string | undefined;
    };
    attributes: {
        max?: number | undefined;
        min?: number | undefined;
        step?: number | undefined;
    };
}>, z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"datePicker">;
    attributes: z.ZodObject<{
        max: z.ZodOptional<z.ZodString>;
        min: z.ZodOptional<z.ZodString>;
        step: z.ZodOptional<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        max?: string | undefined;
        min?: string | undefined;
        step?: number | undefined;
    }, {
        max?: string | undefined;
        min?: string | undefined;
        step?: number | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "datePicker";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        max?: string | undefined;
        min?: string | undefined;
        step?: number | undefined;
    };
}, {
    type: "datePicker";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        max?: string | undefined;
        min?: string | undefined;
        step?: number | undefined;
    };
}>, z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"dateRange">;
    columns: z.ZodObject<{
        start: z.ZodObject<{
            meta: z.ZodObject<{
                schemaVersion: z.ZodLiteral<"1.0">;
                labelTranslationKey: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            }, {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            }>;
            type: z.ZodLiteral<"datePicker">;
        } & {
            attributes: z.ZodObject<{
                label: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                label: string;
            }, {
                label: string;
            }>;
        }, "strip", z.ZodTypeAny, {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        }, {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        }>;
        end: z.ZodObject<{
            meta: z.ZodObject<{
                schemaVersion: z.ZodLiteral<"1.0">;
                labelTranslationKey: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            }, {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            }>;
            type: z.ZodLiteral<"datePicker">;
        } & {
            attributes: z.ZodObject<{
                label: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                label: string;
            }, {
                label: string;
            }>;
        }, "strip", z.ZodTypeAny, {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        }, {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        }>;
    }, "strip", z.ZodTypeAny, {
        start: {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        };
        end: {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        };
    }, {
        start: {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        };
        end: {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        };
    }>;
}, "strip", z.ZodTypeAny, {
    type: "dateRange";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    columns: {
        start: {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        };
        end: {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        };
    };
}, {
    type: "dateRange";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    columns: {
        start: {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        };
        end: {
            type: "datePicker";
            meta: {
                schemaVersion: "1.0";
                labelTranslationKey?: string | undefined;
            };
            attributes: {
                label: string;
            };
        };
    };
}>, z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"email">;
    attributes: z.ZodObject<{
        maxLength: z.ZodOptional<z.ZodNumber>;
        minLength: z.ZodOptional<z.ZodNumber>;
        multiple: z.ZodOptional<z.ZodBoolean>;
        pattern: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        multiple?: boolean | undefined;
        pattern?: string | undefined;
    }, {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        multiple?: boolean | undefined;
        pattern?: string | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "email";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        multiple?: boolean | undefined;
        pattern?: string | undefined;
    };
}, {
    type: "email";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        multiple?: boolean | undefined;
        pattern?: string | undefined;
    };
}>, z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"filteredSearch">;
    graphQL: z.ZodObject<{
        displayFields: z.ZodArray<z.ZodObject<{
            propertyName: z.ZodString;
            label: z.ZodString;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }, {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }>, "many">;
        localQueryId: z.ZodOptional<z.ZodString>;
        query: z.ZodOptional<z.ZodString>;
        responseField: z.ZodString;
        variables: z.ZodArray<z.ZodObject<{
            minLength: z.ZodOptional<z.ZodNumber>;
            label: z.ZodOptional<z.ZodString>;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
            name: z.ZodString;
            type: z.ZodString;
            defaultValue: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }, {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        displayFields: {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }[];
        responseField: string;
        variables: {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }[];
        localQueryId?: string | undefined;
        query?: string | undefined;
    }, {
        displayFields: {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }[];
        responseField: string;
        variables: {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }[];
        localQueryId?: string | undefined;
        query?: string | undefined;
    }>;
    attributes: z.ZodObject<{
        multiple: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        multiple?: boolean | undefined;
    }, {
        multiple?: boolean | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "filteredSearch";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        multiple?: boolean | undefined;
    };
    graphQL: {
        displayFields: {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }[];
        responseField: string;
        variables: {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }[];
        localQueryId?: string | undefined;
        query?: string | undefined;
    };
}, {
    type: "filteredSearch";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        multiple?: boolean | undefined;
    };
    graphQL: {
        displayFields: {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }[];
        responseField: string;
        variables: {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }[];
        localQueryId?: string | undefined;
        query?: string | undefined;
    };
}>, z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"number">;
    attributes: z.ZodObject<{
        max: z.ZodOptional<z.ZodNumber>;
        min: z.ZodOptional<z.ZodNumber>;
        step: z.ZodOptional<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        max?: number | undefined;
        min?: number | undefined;
        step?: number | undefined;
    }, {
        max?: number | undefined;
        min?: number | undefined;
        step?: number | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "number";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        max?: number | undefined;
        min?: number | undefined;
        step?: number | undefined;
    };
}, {
    type: "number";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        max?: number | undefined;
        min?: number | undefined;
        step?: number | undefined;
    };
}>, z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"radioButtons">;
    options: z.ZodArray<z.ZodObject<{
        type: z.ZodLiteral<"option">;
        attributes: z.ZodObject<{
            label: z.ZodString;
            value: z.ZodString;
        } & {
            selected: z.ZodOptional<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            value: string;
            label: string;
            selected?: boolean | undefined;
        }, {
            value: string;
            label: string;
            selected?: boolean | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "option";
        attributes: {
            value: string;
            label: string;
            selected?: boolean | undefined;
        };
    }, {
        type: "option";
        attributes: {
            value: string;
            label: string;
            selected?: boolean | undefined;
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    type: "radioButtons";
    options: {
        type: "option";
        attributes: {
            value: string;
            label: string;
            selected?: boolean | undefined;
        };
    }[];
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
}, {
    type: "radioButtons";
    options: {
        type: "option";
        attributes: {
            value: string;
            label: string;
            selected?: boolean | undefined;
        };
    }[];
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
}>, z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"selectBox">;
    options: z.ZodArray<z.ZodObject<{
        type: z.ZodLiteral<"option">;
        attributes: z.ZodObject<{
            label: z.ZodString;
            value: z.ZodString;
        } & {
            selected: z.ZodOptional<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            value: string;
            label: string;
            selected?: boolean | undefined;
        }, {
            value: string;
            label: string;
            selected?: boolean | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "option";
        attributes: {
            value: string;
            label: string;
            selected?: boolean | undefined;
        };
    }, {
        type: "option";
        attributes: {
            value: string;
            label: string;
            selected?: boolean | undefined;
        };
    }>, "many">;
    attributes: z.ZodObject<{
        multiple: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        multiple?: boolean | undefined;
    }, {
        multiple?: boolean | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "selectBox";
    options: {
        type: "option";
        attributes: {
            value: string;
            label: string;
            selected?: boolean | undefined;
        };
    }[];
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        multiple?: boolean | undefined;
    };
}, {
    type: "selectBox";
    options: {
        type: "option";
        attributes: {
            value: string;
            label: string;
            selected?: boolean | undefined;
        };
    }[];
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        multiple?: boolean | undefined;
    };
}>, z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"table">;
    columns: z.ZodArray<z.ZodDiscriminatedUnion<"type", [z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"boolean">;
        attributes: z.ZodObject<{
            checked: z.ZodOptional<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            checked?: boolean | undefined;
        }, {
            checked?: boolean | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "boolean";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            checked?: boolean | undefined;
        };
    }, {
        type: "boolean";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            checked?: boolean | undefined;
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"checkBoxes">;
        options: z.ZodArray<z.ZodObject<{
            type: z.ZodLiteral<"option">;
            attributes: z.ZodObject<{
                label: z.ZodString;
                value: z.ZodString;
            } & {
                checked: z.ZodOptional<z.ZodBoolean>;
            }, "strip", z.ZodTypeAny, {
                value: string;
                label: string;
                checked?: boolean | undefined;
            }, {
                value: string;
                label: string;
                checked?: boolean | undefined;
            }>;
        }, "strip", z.ZodTypeAny, {
            type: "option";
            attributes: {
                value: string;
                label: string;
                checked?: boolean | undefined;
            };
        }, {
            type: "option";
            attributes: {
                value: string;
                label: string;
                checked?: boolean | undefined;
            };
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        type: "checkBoxes";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                checked?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
    }, {
        type: "checkBoxes";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                checked?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
    }>, z.ZodObject<{
        attributes: z.ZodObject<{
            max: z.ZodOptional<z.ZodNumber>;
            min: z.ZodOptional<z.ZodNumber>;
            step: z.ZodOptional<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        }, {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"currency">;
        meta: z.ZodObject<{
            denomination: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            denomination?: string | undefined;
        }, {
            denomination?: string | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "currency";
        meta: {
            denomination?: string | undefined;
        };
        attributes: {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        };
    }, {
        type: "currency";
        meta: {
            denomination?: string | undefined;
        };
        attributes: {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"datePicker">;
        attributes: z.ZodObject<{
            max: z.ZodOptional<z.ZodString>;
            min: z.ZodOptional<z.ZodString>;
            step: z.ZodOptional<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            max?: string | undefined;
            min?: string | undefined;
            step?: number | undefined;
        }, {
            max?: string | undefined;
            min?: string | undefined;
            step?: number | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "datePicker";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            max?: string | undefined;
            min?: string | undefined;
            step?: number | undefined;
        };
    }, {
        type: "datePicker";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            max?: string | undefined;
            min?: string | undefined;
            step?: number | undefined;
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"dateRange">;
        columns: z.ZodObject<{
            start: z.ZodObject<{
                meta: z.ZodObject<{
                    schemaVersion: z.ZodLiteral<"1.0">;
                    labelTranslationKey: z.ZodOptional<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                }, {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                }>;
                type: z.ZodLiteral<"datePicker">;
            } & {
                attributes: z.ZodObject<{
                    label: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    label: string;
                }, {
                    label: string;
                }>;
            }, "strip", z.ZodTypeAny, {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            }, {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            }>;
            end: z.ZodObject<{
                meta: z.ZodObject<{
                    schemaVersion: z.ZodLiteral<"1.0">;
                    labelTranslationKey: z.ZodOptional<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                }, {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                }>;
                type: z.ZodLiteral<"datePicker">;
            } & {
                attributes: z.ZodObject<{
                    label: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    label: string;
                }, {
                    label: string;
                }>;
            }, "strip", z.ZodTypeAny, {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            }, {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            }>;
        }, "strip", z.ZodTypeAny, {
            start: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
            end: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
        }, {
            start: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
            end: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "dateRange";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        columns: {
            start: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
            end: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
        };
    }, {
        type: "dateRange";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        columns: {
            start: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
            end: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"email">;
        attributes: z.ZodObject<{
            maxLength: z.ZodOptional<z.ZodNumber>;
            minLength: z.ZodOptional<z.ZodNumber>;
            multiple: z.ZodOptional<z.ZodBoolean>;
            pattern: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            multiple?: boolean | undefined;
            pattern?: string | undefined;
        }, {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            multiple?: boolean | undefined;
            pattern?: string | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "email";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            multiple?: boolean | undefined;
            pattern?: string | undefined;
        };
    }, {
        type: "email";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            multiple?: boolean | undefined;
            pattern?: string | undefined;
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"filteredSearch">;
        graphQL: z.ZodObject<{
            displayFields: z.ZodArray<z.ZodObject<{
                propertyName: z.ZodString;
                label: z.ZodString;
                labelTranslationKey: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }, {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }>, "many">;
            localQueryId: z.ZodOptional<z.ZodString>;
            query: z.ZodOptional<z.ZodString>;
            responseField: z.ZodString;
            variables: z.ZodArray<z.ZodObject<{
                minLength: z.ZodOptional<z.ZodNumber>;
                label: z.ZodOptional<z.ZodString>;
                labelTranslationKey: z.ZodOptional<z.ZodString>;
                name: z.ZodString;
                type: z.ZodString;
                defaultValue: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }, {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        }, {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        }>;
        attributes: z.ZodObject<{
            multiple: z.ZodOptional<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            multiple?: boolean | undefined;
        }, {
            multiple?: boolean | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "filteredSearch";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            multiple?: boolean | undefined;
        };
        graphQL: {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        };
    }, {
        type: "filteredSearch";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            multiple?: boolean | undefined;
        };
        graphQL: {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"number">;
        attributes: z.ZodObject<{
            max: z.ZodOptional<z.ZodNumber>;
            min: z.ZodOptional<z.ZodNumber>;
            step: z.ZodOptional<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        }, {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "number";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        };
    }, {
        type: "number";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"radioButtons">;
        options: z.ZodArray<z.ZodObject<{
            type: z.ZodLiteral<"option">;
            attributes: z.ZodObject<{
                label: z.ZodString;
                value: z.ZodString;
            } & {
                selected: z.ZodOptional<z.ZodBoolean>;
            }, "strip", z.ZodTypeAny, {
                value: string;
                label: string;
                selected?: boolean | undefined;
            }, {
                value: string;
                label: string;
                selected?: boolean | undefined;
            }>;
        }, "strip", z.ZodTypeAny, {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }, {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        type: "radioButtons";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
    }, {
        type: "radioButtons";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"selectBox">;
        options: z.ZodArray<z.ZodObject<{
            type: z.ZodLiteral<"option">;
            attributes: z.ZodObject<{
                label: z.ZodString;
                value: z.ZodString;
            } & {
                selected: z.ZodOptional<z.ZodBoolean>;
            }, "strip", z.ZodTypeAny, {
                value: string;
                label: string;
                selected?: boolean | undefined;
            }, {
                value: string;
                label: string;
                selected?: boolean | undefined;
            }>;
        }, "strip", z.ZodTypeAny, {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }, {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }>, "many">;
        attributes: z.ZodObject<{
            multiple: z.ZodOptional<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            multiple?: boolean | undefined;
        }, {
            multiple?: boolean | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "selectBox";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            multiple?: boolean | undefined;
        };
    }, {
        type: "selectBox";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            multiple?: boolean | undefined;
        };
    }>, z.ZodObject<{} & {
        type: z.ZodLiteral<"textArea">;
        attributes: z.ZodObject<{
            cols: z.ZodOptional<z.ZodNumber>;
            maxLength: z.ZodOptional<z.ZodNumber>;
            minLength: z.ZodOptional<z.ZodNumber>;
            rows: z.ZodOptional<z.ZodNumber>;
        }, "strip", z.ZodTypeAny, {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            cols?: number | undefined;
            rows?: number | undefined;
        }, {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            cols?: number | undefined;
            rows?: number | undefined;
        }>;
        meta: z.ZodObject<{
            asRichText: z.ZodOptional<z.ZodBoolean>;
        }, "strip", z.ZodTypeAny, {
            asRichText?: boolean | undefined;
        }, {
            asRichText?: boolean | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "textArea";
        meta: {
            asRichText?: boolean | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            cols?: number | undefined;
            rows?: number | undefined;
        };
    }, {
        type: "textArea";
        meta: {
            asRichText?: boolean | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            cols?: number | undefined;
            rows?: number | undefined;
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"text">;
        attributes: z.ZodObject<{
            maxLength: z.ZodOptional<z.ZodNumber>;
            minLength: z.ZodOptional<z.ZodNumber>;
            pattern: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        }, {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "text";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        };
    }, {
        type: "text";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"typeaheadSearch">;
        graphQL: z.ZodObject<{
            displayFields: z.ZodArray<z.ZodObject<{
                propertyName: z.ZodString;
                label: z.ZodString;
                labelTranslationKey: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }, {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }>, "many">;
            localQueryId: z.ZodOptional<z.ZodString>;
            query: z.ZodOptional<z.ZodString>;
            responseField: z.ZodString;
            variables: z.ZodArray<z.ZodObject<{
                minLength: z.ZodOptional<z.ZodNumber>;
                label: z.ZodOptional<z.ZodString>;
                labelTranslationKey: z.ZodOptional<z.ZodString>;
                name: z.ZodString;
                type: z.ZodString;
                defaultValue: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }, {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        }, {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "typeaheadSearch";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        graphQL: {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        };
    }, {
        type: "typeaheadSearch";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        graphQL: {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        };
    }>, z.ZodObject<{
        meta: z.ZodObject<{
            schemaVersion: z.ZodLiteral<"1.0">;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }, {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        }>;
    } & {
        type: z.ZodLiteral<"url">;
        attributes: z.ZodObject<{
            maxLength: z.ZodOptional<z.ZodNumber>;
            minLength: z.ZodOptional<z.ZodNumber>;
            pattern: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        }, {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        type: "url";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        };
    }, {
        type: "url";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        };
    }>]>, "many">;
    attributes: z.ZodObject<{
        canAddRows: z.ZodOptional<z.ZodBoolean>;
        canRemoveRows: z.ZodOptional<z.ZodBoolean>;
        initialRows: z.ZodOptional<z.ZodNumber>;
        maxRows: z.ZodOptional<z.ZodNumber>;
        minRows: z.ZodOptional<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        canAddRows?: boolean | undefined;
        canRemoveRows?: boolean | undefined;
        initialRows?: number | undefined;
        maxRows?: number | undefined;
        minRows?: number | undefined;
    }, {
        canAddRows?: boolean | undefined;
        canRemoveRows?: boolean | undefined;
        initialRows?: number | undefined;
        maxRows?: number | undefined;
        minRows?: number | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "table";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        canAddRows?: boolean | undefined;
        canRemoveRows?: boolean | undefined;
        initialRows?: number | undefined;
        maxRows?: number | undefined;
        minRows?: number | undefined;
    };
    columns: ({
        type: "boolean";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            checked?: boolean | undefined;
        };
    } | {
        type: "number";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        };
    } | {
        type: "currency";
        meta: {
            denomination?: string | undefined;
        };
        attributes: {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        };
    } | {
        type: "email";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            multiple?: boolean | undefined;
            pattern?: string | undefined;
        };
    } | {
        type: "textArea";
        meta: {
            asRichText?: boolean | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            cols?: number | undefined;
            rows?: number | undefined;
        };
    } | {
        type: "text";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        };
    } | {
        type: "url";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        };
    } | {
        type: "datePicker";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            max?: string | undefined;
            min?: string | undefined;
            step?: number | undefined;
        };
    } | {
        type: "dateRange";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        columns: {
            start: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
            end: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
        };
    } | {
        type: "filteredSearch";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            multiple?: boolean | undefined;
        };
        graphQL: {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        };
    } | {
        type: "typeaheadSearch";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        graphQL: {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        };
    } | {
        type: "checkBoxes";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                checked?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
    } | {
        type: "radioButtons";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
    } | {
        type: "selectBox";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            multiple?: boolean | undefined;
        };
    })[];
}, {
    type: "table";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        canAddRows?: boolean | undefined;
        canRemoveRows?: boolean | undefined;
        initialRows?: number | undefined;
        maxRows?: number | undefined;
        minRows?: number | undefined;
    };
    columns: ({
        type: "boolean";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            checked?: boolean | undefined;
        };
    } | {
        type: "number";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        };
    } | {
        type: "currency";
        meta: {
            denomination?: string | undefined;
        };
        attributes: {
            max?: number | undefined;
            min?: number | undefined;
            step?: number | undefined;
        };
    } | {
        type: "email";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            multiple?: boolean | undefined;
            pattern?: string | undefined;
        };
    } | {
        type: "textArea";
        meta: {
            asRichText?: boolean | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            cols?: number | undefined;
            rows?: number | undefined;
        };
    } | {
        type: "text";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        };
    } | {
        type: "url";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            maxLength?: number | undefined;
            minLength?: number | undefined;
            pattern?: string | undefined;
        };
    } | {
        type: "datePicker";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            max?: string | undefined;
            min?: string | undefined;
            step?: number | undefined;
        };
    } | {
        type: "dateRange";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        columns: {
            start: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
            end: {
                type: "datePicker";
                meta: {
                    schemaVersion: "1.0";
                    labelTranslationKey?: string | undefined;
                };
                attributes: {
                    label: string;
                };
            };
        };
    } | {
        type: "filteredSearch";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            multiple?: boolean | undefined;
        };
        graphQL: {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        };
    } | {
        type: "typeaheadSearch";
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        graphQL: {
            displayFields: {
                label: string;
                propertyName: string;
                labelTranslationKey?: string | undefined;
            }[];
            responseField: string;
            variables: {
                type: string;
                name: string;
                labelTranslationKey?: string | undefined;
                minLength?: number | undefined;
                label?: string | undefined;
                defaultValue?: string | undefined;
            }[];
            localQueryId?: string | undefined;
            query?: string | undefined;
        };
    } | {
        type: "checkBoxes";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                checked?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
    } | {
        type: "radioButtons";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
    } | {
        type: "selectBox";
        options: {
            type: "option";
            attributes: {
                value: string;
                label: string;
                selected?: boolean | undefined;
            };
        }[];
        meta: {
            schemaVersion: "1.0";
            labelTranslationKey?: string | undefined;
        };
        attributes: {
            multiple?: boolean | undefined;
        };
    })[];
}>, z.ZodObject<{} & {
    type: z.ZodLiteral<"textArea">;
    attributes: z.ZodObject<{
        cols: z.ZodOptional<z.ZodNumber>;
        maxLength: z.ZodOptional<z.ZodNumber>;
        minLength: z.ZodOptional<z.ZodNumber>;
        rows: z.ZodOptional<z.ZodNumber>;
    }, "strip", z.ZodTypeAny, {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        cols?: number | undefined;
        rows?: number | undefined;
    }, {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        cols?: number | undefined;
        rows?: number | undefined;
    }>;
    meta: z.ZodObject<{
        asRichText: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        asRichText?: boolean | undefined;
    }, {
        asRichText?: boolean | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "textArea";
    meta: {
        asRichText?: boolean | undefined;
    };
    attributes: {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        cols?: number | undefined;
        rows?: number | undefined;
    };
}, {
    type: "textArea";
    meta: {
        asRichText?: boolean | undefined;
    };
    attributes: {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        cols?: number | undefined;
        rows?: number | undefined;
    };
}>, z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"text">;
    attributes: z.ZodObject<{
        maxLength: z.ZodOptional<z.ZodNumber>;
        minLength: z.ZodOptional<z.ZodNumber>;
        pattern: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        pattern?: string | undefined;
    }, {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        pattern?: string | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "text";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        pattern?: string | undefined;
    };
}, {
    type: "text";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        pattern?: string | undefined;
    };
}>, z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"typeaheadSearch">;
    graphQL: z.ZodObject<{
        displayFields: z.ZodArray<z.ZodObject<{
            propertyName: z.ZodString;
            label: z.ZodString;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }, {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }>, "many">;
        localQueryId: z.ZodOptional<z.ZodString>;
        query: z.ZodOptional<z.ZodString>;
        responseField: z.ZodString;
        variables: z.ZodArray<z.ZodObject<{
            minLength: z.ZodOptional<z.ZodNumber>;
            label: z.ZodOptional<z.ZodString>;
            labelTranslationKey: z.ZodOptional<z.ZodString>;
            name: z.ZodString;
            type: z.ZodString;
            defaultValue: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }, {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        displayFields: {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }[];
        responseField: string;
        variables: {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }[];
        localQueryId?: string | undefined;
        query?: string | undefined;
    }, {
        displayFields: {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }[];
        responseField: string;
        variables: {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }[];
        localQueryId?: string | undefined;
        query?: string | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "typeaheadSearch";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    graphQL: {
        displayFields: {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }[];
        responseField: string;
        variables: {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }[];
        localQueryId?: string | undefined;
        query?: string | undefined;
    };
}, {
    type: "typeaheadSearch";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    graphQL: {
        displayFields: {
            label: string;
            propertyName: string;
            labelTranslationKey?: string | undefined;
        }[];
        responseField: string;
        variables: {
            type: string;
            name: string;
            labelTranslationKey?: string | undefined;
            minLength?: number | undefined;
            label?: string | undefined;
            defaultValue?: string | undefined;
        }[];
        localQueryId?: string | undefined;
        query?: string | undefined;
    };
}>, z.ZodObject<{
    meta: z.ZodObject<{
        schemaVersion: z.ZodLiteral<"1.0">;
        labelTranslationKey: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }, {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    }>;
} & {
    type: z.ZodLiteral<"url">;
    attributes: z.ZodObject<{
        maxLength: z.ZodOptional<z.ZodNumber>;
        minLength: z.ZodOptional<z.ZodNumber>;
        pattern: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        pattern?: string | undefined;
    }, {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        pattern?: string | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    type: "url";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        pattern?: string | undefined;
    };
}, {
    type: "url";
    meta: {
        schemaVersion: "1.0";
        labelTranslationKey?: string | undefined;
    };
    attributes: {
        maxLength?: number | undefined;
        minLength?: number | undefined;
        pattern?: string | undefined;
    };
}>]>;
export type TableQuestionType = z.infer<typeof TableQuestion>;
export type AnyQuestionType = z.infer<typeof AnyQuestion>;
